[med-svn] [Git][med-team/mirtop][master] 2 commits: d/tests/run-unit-tests: Run in non-project directory

Nilesh Patra (@nilesh) gitlab at salsa.debian.org
Wed Jun 30 17:46:05 BST 2021



Nilesh Patra pushed to branch master at Debian Med / mirtop


Commits:
db602ddd by Nilesh Patra at 2021-06-30T21:48:45+05:30
d/tests/run-unit-tests: Run in non-project directory

- - - - -
7894173e by Nilesh Patra at 2021-06-30T21:51:27+05:30
d/tests/run-unit-tests: call py3versions with -s flag

- - - - -


1 changed file:

- debian/tests/run-unit-test


Changes:

=====================================
debian/tests/run-unit-test
=====================================
@@ -1,8 +1,20 @@
 #!/bin/bash
 set -e
-for py in $(py3versions -r 2> /dev/null)
 
-    do echo "Testing with $py in $(pwd):"
+CUR_DIR=`pwd`
+if [ "$AUTOPKGTEST_TMP" = "" ] ; then
+  AUTOPKGTEST_TMP=`mktemp -d /tmp/${pkg}-test.XXXXXX`
+  trap "rm -rf $AUTOPKGTEST_TMP" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp -a ${CUR_DIR}/test/ $AUTOPKGTEST_TMP
+cp -a ${CUR_DIR}/data/ $AUTOPKGTEST_TMP
+
+cd $AUTOPKGTEST_TMP
+
+for py in $(py3versions -s 2> /dev/null)
+do
+    echo "Testing with $py in $(pwd):"
     nosetests3 -v
     
-done
\ No newline at end of file
+done



View it on GitLab: https://salsa.debian.org/med-team/mirtop/-/compare/af0b2016956583ad57883da830cfaf6760b27435...7894173e72878c5eed9c065f98c736e32ee9b57f

-- 
View it on GitLab: https://salsa.debian.org/med-team/mirtop/-/compare/af0b2016956583ad57883da830cfaf6760b27435...7894173e72878c5eed9c065f98c736e32ee9b57f
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20210630/80171d69/attachment-0001.htm>


More information about the debian-med-commit mailing list